<template src="./template.html"></template>
<script lang="ts">
// import { getModule } from "nuxt-property-decorator";
import { title } from "process";
import { Vue, Component, Prop, Watch } from "vue-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";
import { api_key_tiny_editor } from "~/common/constaint";
// import axios from "axios";
// import UserModule from "~/store/user";
// import { Store } from "vuex";
@Component({
  components: {},
})
export default class SettingSellerDescriptionStoreComponent extends Vue {
  api_key_tiny_editor = api_key_tiny_editor;
  resetContent = false;
  get initEditor() {
    return {
      height: 800,
      image_title: true,
      automatic_uploads: true,
      //@ts-ignore
      file_picker_callback: function (cb, value, meta) {
        var input = document.createElement("input");
        input.setAttribute("type", "file");
        input.setAttribute("accept", "image/*");
        input.onchange = function () {
          //@ts-ignore
          var file = this.files[0];

          var reader = new FileReader();
          reader.onload = function () {
            var id = "blobid" + new Date().getTime();
            var blobCache =
              //@ts-ignore
              tinymce.activeEditor.editorUpload.blobCache;
            //@ts-ignore
            var base64 = reader.result.split(",")[1];
            var blobInfo = blobCache.create(id, file, base64);
            blobCache.add(blobInfo);
            cb(blobInfo.blobUri(), { title: file.name });
          };
          reader.readAsDataURL(file);
        };

        input.click();
      },
      file_picker_types: "image",
      plugins: ["lists link image code help wordcount"],
      toolbar:
        "undo redo | formatselect | bold italic | forecolor alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | image link media template codesample inserttable | charmap emoticons hr | pagebreak nonbreaking anchor toc | insertdatetime | help",
    };
  }
  get description() {
    return this.$store.state.sellerStore.store.product.description || "";
  }
  set description(val: any) {
    this.$store.commit("sellerStore/setStoreProduct", { description: val });
  }
}
</script>
